Package: geb.content

## [Groovy] Class PageContentTemplateBuilder

- geb.content.PageContentTemplateBuilder

-     class PageContentTemplateBuilder
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Browser` | `browser`
    `DynamicDelegationSuppressingPageContentContainer` | `container`
    `NavigatorFactory` | `navigatorFactory`
    `Map<String, PageContentTemplate>` | `templates`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PageContentTemplateBuilder(Browser browser, PageContentContainer container, NavigatorFactory navigatorFactory)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Map<String, PageContentTemplate>` | `build(Browser browser, PageContentContainer container, NavigatorFactory navigatorFactory, List<Closure> templatesDefinitions)`
    `` | `static Map<String, PageContentTemplate>` | `build(Browser browser, PageContentContainer container, NavigatorFactory navigatorFactory, String property, Class startAt, Class stopAt)`
    `` | `Object` | `methodMissing(String name, Object args)`
    `` | `Object` | `propertyMissing(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Browser browser

    - #### final DynamicDelegationSuppressingPageContentContainer container

    - #### final NavigatorFactory navigatorFactory

    - #### final Map<String, PageContentTemplate> templates

  - ### Constructor Detail

    - #### PageContentTemplateBuilder(Browser browser, PageContentContainer container, NavigatorFactory navigatorFactory)

  - ### Method Detail

    - #### static Map<String, PageContentTemplate> build(Browser browser, PageContentContainer container, NavigatorFactory navigatorFactory, List<Closure> templatesDefinitions)

    - #### static Map<String, PageContentTemplate> build(Browser browser, PageContentContainer container, NavigatorFactory navigatorFactory, String property, Class startAt, Class stopAt)

    - #### Object methodMissing(String name, Object args)

    - #### Object propertyMissing(String name)